HaruFont::measureText
HaruImage::getBitsPerComponent
haru
PHP Manual

# The HaruImage class

## Введение

Haru PDF Image Class.

## Class synopsis

HaruImage
HaruImage {
/* Methods */
int getBitsPerComponent ( void )
string getColorSpace ( void )
int getHeight ( void )
array getSize ( void )
int getWidth ( void )
bool setColorMask ( int `$rmin` , int `$rmax` , int `$gmin` , int `$gmax` , int `$bmin` , int `$bmax` )
bool setMaskImage ( object `$mask_image` )
}

## Содержание

- HaruImage::getBitsPerComponent — Get the number of bits used to describe each color component of the image
- HaruImage::getColorSpace — Get the name of the color space
- HaruImage::getHeight — Get the height of the image
- HaruImage::getSize — Get size of the image
- HaruImage::getWidth — Get the width of the image
- HaruImage::setColorMask — Set the color mask of the image
- HaruImage::setMaskImage — Set the image mask

HaruFont::measureText
HaruImage::getBitsPerComponent
haru
PHP Manual